#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  ark-24.12.2

- Next

  dolphin-plugins-24.12.2

- Up
- Home

# dolphin-24.12.2

## Introduction to dolphin

The dolphin package is a KF6 file manager.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/24.12.2/src/dolphin-24.12.2.tar.xz

- Download MD5 sum: 873aa759cc10787ec4cbcdfd3914635f

- Download size: 5.4 MB

- Estimated disk space required: 88 MB

- Estimated build time: 0.8 SBU (using parallelism=4)

### dolphin Dependencies

#### Required

KDE Frameworks-6.11.0 and phonon-4.12.0

#### Optional

baloo-widgets (for the metadata features of Dolphin) and packagekit-qt

#### Optional (Runtime)

kio-extras-24.12.2 (for mounting SMB shares)

## Installation of dolphin

Install dolphin by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: dolphin
Installed Libraries: libdolphinvcs.so and libdolphinprivate.so
Installed Directories: $KF6_PREFIX/include/Dolphin, $KF6_PREFIX/lib/cmake/DolphinVcs, $KF6_PREFIX/lib/plugins/dolphin, and $KF6_PREFIX/share/doc/HTML/*/dolphin

### Short Descriptions

dolphin | is a KF6-based file manager

- Prev

  ark-24.12.2

- Next

  dolphin-plugins-24.12.2

- Up
- Home